---
title: IDE Setup
summary: How to setup certain IDEs
authors:
    - Sebastian Oberschwendtner
data: 2024-03-06
---
## Introduction
In general, the build system of *UNICADO* is not based on a specific IDE.
All the required tools can be called directly via a terminal.
We cannot provide a manual for every IDE out there, but here is a quick overview of the most popular IDEs we use in the project:

## Visual Studio Code - VS Code
[VSCode :octicons-link-external-16:](https://code.visualstudio.com/){:target="_blank"} is a popular open-source IDE from Microsoft.
It offers great flexibility with its capability to install extensions.
You can explorer the good [Documentation :octicons-link-external-16:](https://code.visualstudio.com/docs/cpp/config-msvc){:target="_blank"} of **VSCode** how to set it up for C++.

!!! note
    Do not confuse **VS Code** with _Visual Studio_. :point_up: Those are two __different__ IDEs...